Ticket #35452

コンマの点字表示

Open Date: 2015-08-29 21:19 Last Update: 2015-11-13 15:04

Reporter: nishimoto Owner: nishimoto
Type: Feature Requests Status: Closed
Component: 点訳エンジン MileStone: 2015.4jp (closed)
Priority: 5 - Medium Severity: 5 - Medium
Resolution: Fixed

Details

以下 nvda-japanese-users メーリングリストでのご指摘とご提案:

日本語の文章中に(読点の代わりに)全角のコンマが書かれている場合、 点字表示ではそのコンマが3の点(「わ」の字と同じ)になってしまう。

下記のようにしてはどうか:

日本語の中に全角コンマがあると、 「読点」の表記と同じ、「5・6の点+スペース」にする。

ただし、全角コンマが数字(漢数字あるいは算用数字)にはさまれていると、 表示は「3の点」(位取りのコンマ)の表記にする。

片方だけが数字の場合には、「読点」の表記にする。

Attachment File List

No attachments

Ticket History (3/7 Histories)

2015-08-29 21:19 Updated by: nishimoto
  • New Ticket "全角コンマの点字表示" created
2015-08-30 20:34 Updated by: nishimoto
  • Summary Updated
Comment

アルファベットにはさまれた全角コンマの確認をしていて気づいたが、 そもそも英語のコンテクストでのコンマも、 現在の出力では 2 の点ではなく 3 の点が使われている。

以下、外国後引用符にはさまれるコンマの例文:

MY FAIR LADY, a Broadway play, is a musical.

correct, and

点訳のてびき 第3版 その7 1.英語 (1) p.88

2015-08-30 20:57 Updated by: nishimoto
Comment

とりあえず外国語引用符の中のカンマの修正から。

https://github.com/nvdajp/nvdajpmiscdep/issues/2

2015-08-30 20:57 Updated by: nishimoto
  • Milestone Update from (None) to 2015.4jp (closed)
  • Resolution Update from None to Accepted
2015-08-31 18:39 Updated by: nishimoto
Comment

全角コンマ、外字符の直後の半角コンマ、外国語引用符の中の半角コンマ、などの扱いを修正。

https://github.com/nvdajp/nvdajpmiscdep/issues/2

2015-11-05 13:45 Updated by: nishimoto
  • Resolution Update from Accepted to Fixed
Comment

なおったと判断してもらえるかどうか、フィードバックを待っている状態。

日本における外国語点字規則の改定という話は 2016.1jp 以降の検討課題とします。

2015-11-13 15:04 Updated by: nishimoto
  • Ticket Close date is changed to 2015-11-13 15:04
  • Status Update from Open to Closed

Edit

Please login to add comment to this ticket » Login